Main Page Widgets Namespaces Book

# calendar.h File Reference

## Namespaces

namespace | Gtk
namespace | Glib

## Classes

class | Gtk::Calendar
| Display a calendar and/or allow the user to select a date. More...

## Enumerations

enum | CalendarDisplayOptions { CALENDAR_SHOW_HEADING = 1 << 0, CALENDAR_SHOW_DAY_NAMES = 1 << 1, CALENDAR_NO_MONTH_CHANGE = 1 << 2, CALENDAR_SHOW_WEEK_NUMBERS = 1 << 3, CALENDAR_WEEK_START_MONDAY = 1 << 4 }

## Functions

CalendarDisplayOptions | operator| (CalendarDisplayOptions lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions | operator& (CalendarDisplayOptions lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions | operator^ (CalendarDisplayOptions lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions | operator~ (CalendarDisplayOptions flags)
CalendarDisplayOptions& | operator|= (CalendarDisplayOptions& lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions& | operator&= (CalendarDisplayOptions& lhs, CalendarDisplayOptions rhs)
CalendarDisplayOptions& | operator^= (CalendarDisplayOptions& lhs, CalendarDisplayOptions rhs)